@import "../../styles/colors.scss";

.card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  &.live {
    background: rgba(36, 242, 94, 0.1);
  }

  .mediaContainer {
    margin-top: -15px;
    padding: 15px 15px 0 15px;
    position: relative;

    .media {
      border-radius: 15px;
      object-fit: cover;
      width: 300px;
      height: 300px;
    }

    .badge {
      position: absolute;
      top: 30px;
      left: 30px;
      background: $success_main;
      border-radius: 7px;
      color: $background_paper;
      font-weight: 700;
      font-size: 14px;
      text-transform: uppercase;

      .icon {
        color: $background_paper;
        padding: 0;
        margin-left: 8px;
        margin-right: -12px;
        font-size: 18px;
      }
    }

    .timer {
      width: 300px;
      position: absolute;
      bottom: 0;
      background: $success_main;
      height: 42px;
      border-radius: 0px 0px 15px 15px;
      text-align: center;
      padding-top: 10px;
      font-weight: bold;
      font-size: 18px;
      line-height: 22px;
      color: black;
    }
  }

  .footer {
    padding: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;

    .title {
      font-size: 16px;
      font-weight: 900;
    }

    .price {
      color: $success_main;
      font-weight: 700;
      font-size: 14px;
    }

    .likes {
      height: 36px;
      color: $success_main;
      font-weight: 700;
      font-size: 14px;
      border: 2px $success_main solid;
      border-radius: 17px;

      .icon {
        font-size: 18px;
        margin-left: 15px;
      }
    }
  }
}
